Skip to main content

GET /makers/status/:makersId

Poll order status. Poll while status is PENDING_PAYMENT or RUNNING.

Path params​

ParamRequiredDescription
makersIdyesFrom /makers/initialize.

Response 200​

PENDING_PAYMENT:

{
"makersId": "6731…",
"eSpeed": "NORMAL",
"sEstimatedDuration": "10h",
"sMakersEstimate": "up to 20K",
"nRequiredSol": 1.25,
"sTokenAddress": "…",
"sTokenNameAndSymbol": "MyToken (MTK)",
"sPoolId": "…",
"ePoolChosen": "PUMPSWAP",
"status": "PENDING_PAYMENT",
"paymentAddress": "…"
}

RUNNING / COMPLETED: the same order fields without paymentAddress, plus progress:

{
"makersId": "6731…",
"status": "RUNNING",
"nMakersCreated": 4210,
"…": "…"
}

CANCELLED: the order fields with "status": "CANCELLED".

statusMeaning
PENDING_PAYMENTWaiting for SOL at paymentAddress.
RUNNINGPaid and trading.
COMPLETEDFinished.
CANCELLEDCancelled before payment.

nMakersCreated is the number of makers created so far.

Errors​

StatusMeaning
400Invalid makersId.
404Order not found or not owned.

Example​

curl "$BASE_URL/makers/status/6731…" \
-H "Authorization: Bearer $ACCESS" \
-H "x-user-id: $USER_ID"